import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  _count: SortOrderSchema.optional()
}).strict();
export const DatabaseBackupOrderByRelationAggregateInputObjectSchema: z.ZodType<Prisma.DatabaseBackupOrderByRelationAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupOrderByRelationAggregateInput>;
export const DatabaseBackupOrderByRelationAggregateInputObjectZodSchema = makeSchema();
